@ECHO OFF

echo Install InfoWatcherStarter Service
echo Copyright by Infosys. All rights reserved. 
echo ----------------------------------------------------------------------------
set /p disk=Izaberite disk za instalaciju IWS-a [C/D/E...]: 
echo ----------------------------------------------------------------------------

echo .
echo .
echo .
echo .

set DOTNETFX2=%SystemRoot%\Microsoft.NET\Framework\v4.0.30319
set PATH=%PATH%;%DOTNETFX2%

echo UNINSTALLING Previous version InfoWatcherStarter...
echo ----------------------------------------------------------------------------
C:\Windows\Microsoft.NET\Framework64\v4.0.30319\InstallUtil /u %disk%:\InfoSys\IWS_install\InfoWatcherStarter.exe
echo ----------------------------------------------------------------------------
echo UNINSTALL Complete.

echo .
echo .
echo .
echo .

echo Create backup files
echo ----------------------------------------------------------------------------
XCOPY "%disk%:\InfoSys\IWS" "%disk%:\InfoSys\IWS_arhiva"  /f /s /i
echo ----------------------------------------------------------------------------
echo Done.

echo .
echo .
echo .
echo .

echo Deleting old install files
echo ----------------------------------------------------------------------------
@RD /S /Q "%disk%:\InfoSys\IWS_install"
echo ----------------------------------------------------------------------------
echo Done.

echo .
echo .
echo .
echo .

echo Copy install files
echo ----------------------------------------------------------------------------
XCOPY "%~dp0\IWS_install_files" "%disk%:\InfoSys\IWS_install"  /f /s /i
echo ----------------------------------------------------------------------------
echo Done.

echo .
echo .
echo .
echo .

setlocal EnableExtensions EnableDelayedExpansion
set "INTEXTFILE=%disk%:\InfoSys\IWS_install\InfoWatcherStarter.exe.config"
set "OUTTEXTFILE=%disk%:\InfoSys\IWS_install\InfoWatcherStarter.exe.config_new"
set "SEARCHTEXT=D:\\"
set "REPLACETEXT=%disk%:\\"

for /f "delims=" %%A in ('type "%INTEXTFILE%"') do (
    set "string=%%A"
    set "modified=!string:%SEARCHTEXT%=%REPLACETEXT%!"
    echo !modified!>>"%OUTTEXTFILE%"
)

del "%INTEXTFILE%"
rename %disk%:\InfoSys\IWS_install\InfoWatcherStarter.exe.config_new InfoWatcherStarter.exe.config
endlocal

setlocal EnableExtensions EnableDelayedExpansion
set "INTEXTFILE=%disk%:\InfoSys\IWS\Parametri\AddedPlugins.json"
set "OUTTEXTFILE=%disk%:\InfoSys\IWS\Parametri\AddedPlugins.json_new"
set "SEARCHTEXT=D:\\"
set "REPLACETEXT=%disk%:\\"

for /f "delims=" %%A in ('type "%INTEXTFILE%"') do (
    set "string=%%A"
    set "modified=!string:%SEARCHTEXT%=%REPLACETEXT%!"
    echo !modified!>>"%OUTTEXTFILE%"
)

del "%INTEXTFILE%"
rename %disk%:\InfoSys\IWS\Parametri\AddedPlugins.json_new AddedPlugins.json
endlocal

setlocal EnableExtensions EnableDelayedExpansion
set "INTEXTFILE=%disk%:\InfoSys\IWS\Parametri\CGEFI.json"
set "OUTTEXTFILE=%disk%:\InfoSys\IWS\Parametri\CGEFI.json_new"
set "SEARCHTEXT=D:\\"
set "REPLACETEXT=%disk%:\\"

for /f "delims=" %%A in ('type "%INTEXTFILE%"') do (
    set "string=%%A"
    set "modified=!string:%SEARCHTEXT%=%REPLACETEXT%!"
    echo !modified!>>"%OUTTEXTFILE%"
)

del "%INTEXTFILE%"
rename %disk%:\InfoSys\IWS\Parametri\CGEFI.json_new CGEFI.json
endlocal

echo Installing InfoWatcherStarter Service
echo ----------------------------------------------------------------------------
C:\Windows\Microsoft.NET\Framework64\v4.0.30319\InstallUtil %disk%:\InfoSys\IWS_install\InfoWatcherStarter.exe
echo ----------------------------------------------------------------------------
echo Install Complete.

echo .
echo .
echo .
echo .

echo Copy params
echo ----------------------------------------------------------------------------
RD /S /Q "%disk%:\InfoSys\IWS"

XCOPY "%~dp0\Infosys" "%disk%:\InfoSys\"  /f /s /e /i
echo ----------------------------------------------------------------------------
pause
echo Done.



